[med-svn] [cnrun] 04/14: provide an ebuild

andrei zavada hmmr-guest at moszumanska.debian.org
Sat Feb 21 15:07:34 UTC 2015


This is an automated email from the git hooks/post-receive script.

hmmr-guest pushed a commit to branch WIP
in repository cnrun.

commit 32b009be5ea4b7d00f4549b6f5a25d772be580bb
Author: Andrei Zavada <johnhommer at gmail.com>
Date:   Sun Nov 30 00:59:57 2014 +0200

    provide an ebuild
---
 gentoo/cnrun.ebuild | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gentoo/cnrun.ebuild b/gentoo/cnrun.ebuild
new file mode 100644
index 0000000..3abd01b
--- /dev/null
+++ b/gentoo/cnrun.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+inherit eutils
+
+DESCRIPTION="A NeuroML-enabled, neuronal network simulator w/ conductance- and rate-based HH neurons"
+HOMEPAGE="http://johnhommer.com/academic/code/cnrun"
+SRC_URI="http://johnhommer.com/academic/code/cnrun/source/${PN}-${PV}.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="sci-libs/gsl
+	dev-libs/libxml2
+	dev-lang/lua"
+
+src_configure() {
+        econf \
+                --bindir="${EPREFIX}"/bin
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "make install failed"
+	dodoc AUTHORS ChangeLog* README || die "dodoc failed"
+}

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/cnrun.git



More information about the debian-med-commit mailing list